package com.softwarereality.customer;

/**
 * Defines the contract between CustomerDetailsController and its panel.
 * Any methods that the controller wants to call on the panel should go
 * in this interface.
 */
public interface CustomerDetailsUI {
    
    // Would have a bunch of other methods in here, e.g.
    // so the controller can tell the UI to disable a sub-panel,
    // switch tabs, update a list selection or whatever.
    
    public void populateUIFromData();
    
}
